Subject: bug#28286: sh-script package has incorrect syntax highlighting when shell type is set to rpm

From: Andrew Toskin <[email-masked]>
Date: Tue, 29 Aug 2017 20:33:42 -0700

* Find an RPM spec file, such as this one for the RPM package of Emacs:
    - https://src.fedoraproject.org/rpms/emacs/raw/master/f/emacs.spec
* Open it in Emacs without user customizations (emacs --quick emacs.spec)
* If necessary, set the shell type (*C-c :*) to rpm
* Notice that even in the %description block starting on line 104,
apostrophes (') are highlighted as if they begin a quoted string.

%description blocks only contain plain text descriptions of the RPM
package, and last until the following %macro; there should be no syntax
highlighting between the two macros. Or if there were, everything inside
the description should all be the same color, until the next %macro starts.

I'm using Emacs 25.2.1, as packaged on Fedora 26 Workstation x86_64. So,
the sh-script 2.0.6 package is built in.

~ Andrew